classification
Title: multiprocessing manager tests fail in the Refleaks buildbots
Type: Stage: resolved
Components: Tests Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: giampaolo.rodola, pablogsal, pitrou
Priority: normal Keywords: patch, patch, patch

Created on 2019-02-08 14:06 by pablogsal, last changed 2019-02-10 22:42 by giampaolo.rodola. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 11801 merged pablogsal, 2019-02-09 16:49
PR 11801 merged pablogsal, 2019-02-09 16:49
PR 11801 merged pablogsal, 2019-02-09 16:49
Messages (2)
msg335083 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2019-02-08 14:06
After PR11772, some buildbots with refleak checks fail because the tests modify the environment (leaking processes or threads or files ...). Some of the failures:

https://buildbot.python.org/all/#builders/80/builds/506
ttps://buildbot.python.org/all/#builders/114/builds/375
https://buildbot.python.org/all/#builders/1/builds/497


== Tests result: ENV CHANGED ==
409 tests OK.
10 slowest tests:
- test_multiprocessing_spawn: 32 min 19 sec
- test_concurrent_futures: 25 min 37 sec
- test_asyncio: 24 min 56 sec
- test_multiprocessing_forkserver: 13 min 57 sec
- test_multiprocessing_fork: 11 min 2 sec
- test_zipfile: 10 min 2 sec
- test_decimal: 8 min 30 sec
- test_gdb: 8 min 301 ms
- test_lib2to3: 7 min 46 sec
- test_buffer: 7 min 43 sec
3 tests altered the execution environment:
    test_multiprocessing_fork test_multiprocessing_forkserver
    test_multiprocessing_spawn
8 tests skipped:
    test_devpoll test_kqueue test_msilib test_startfile
    test_winconsoleio test_winreg test_winsound test_zipfile64
msg335175 - (view) Author: Giampaolo Rodola' (giampaolo.rodola) * (Python committer) Date: 2019-02-10 22:42
Pablo thanks a lot for taking care of this.
History
Date User Action Args
2019-02-10 22:42:45giampaolo.rodolasetkeywords: patch, patch, patch

messages: + msg335175
2019-02-10 19:40:55pablogsalsetkeywords: patch, patch, patch
status: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-02-09 16:49:18pablogsalsetkeywords: + patch
stage: patch review
pull_requests: + pull_request11814
2019-02-09 16:49:14pablogsalsetkeywords: + patch
stage: (no value)
pull_requests: + pull_request11813
2019-02-09 16:49:09pablogsalsetkeywords: + patch
stage: (no value)
pull_requests: + pull_request11812
2019-02-08 14:06:48pablogsalcreate